---
title: "List conversions"
description: "GET https://api.markitdown.ai/v1/conversions — List conversions. Authenticate with x-api-key."
url: https://markitdown.ai/docs/api/list-conversions
updated: 2026-09-26
source: markitdown.ai
---

# List conversions

> GET https://api.markitdown.ai/v1/conversions — List conversions. Authenticate with x-api-key.

## Endpoint

**GET** `/v1/conversions` — List conversions

`listConversions` is part of the Conversions resource of the markitdown.ai API v1. Send an API key in the `x-api-key` header (or `Authorization: Bearer mdai_…`); all bodies are `application/json` unless a response lists another media type.

## Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `cursor` | query · string | no |  |
| `limit` | query · integer | no |  |

## Example request

**curl**

```bash
curl https://api.markitdown.ai/v1/conversions \
  -H "x-api-key: $MARKITDOWN_API_KEY"
```

## Responses

- `200` Conversions. (`application/json`)

**200 body**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object[] | no |  |
| `data[].async_reason` | "respond_async" \| "too_many_sources" \| "pages_exceed_sync_limit" \| "capacity" \| "wait_timeout" \| null | no |  |
| `data[].completed_at` | string (date-time) \| null | no |  |
| `data[].created_at` | string (date-time) | yes |  |
| `data[].files` | object[] | no |  |
| `data[].files_next_cursor` | string \| null | no |  |
| `data[].id` | string | yes |  |
| `data[].links` | object | no |  |
| `data[].metadata` | any | no |  |
| `data[].name` | string | yes |  |
| `data[].object` | "conversion" | yes |  |
| `data[].operation` | "parse" \| "render" | yes |  |
| `data[].status` | "queued" \| "running" \| "completed" \| "completed_with_errors" \| "failed" | yes |  |
| `data[].summary` | object | yes |  |
| `data[].usage` | object | yes |  |
| `next_cursor` | string \| null | no |  |
| `object` | "list" | no |  |

## Related

- [API reference](https://markitdown.ai/docs/api)
- [Error codes](https://markitdown.ai/docs/errors)
- [Introduction](https://markitdown.ai/docs)
- [Document Conversion APIs](https://markitdown.ai/developers)
